<?php

class ARTIOFusionChartsHelperRoute
{

    function getCreateRoute($type, $chart)
    {
        return 'index.php?option=' . ARTIOFUSIONCHARTS_OPTION . '&type=' . $type . '&chart=' . $chart . '&task=add';
    }

    function getEditRoute($id)
    {
        return 'index.php?option=' . ARTIOFUSIONCHARTS_OPTION . '&view=artiofusionchart&task=edit&cid[]=' . $id;
    }

    function getHomeRoute()
    {
        return 'index.php?option=' . ARTIOFUSIONCHARTS_OPTION;
    }

    function getUserRoute($id)
    {
        return 'index.php?option=com_users&view=user&task=edit&cid[]=' . $id;
    }

    function getListChartsRoute()
    {
        return 'index.php?option=' . ARTIOFUSIONCHARTS_OPTION . '&view=artiofusioncharts';
    }

    function getCreateListRoute()
    {
        return 'index.php?option=' . ARTIOFUSIONCHARTS_OPTION . '&task=create';
    }
}
?>